## libbluray 0.9.2

=== debian/changelog ===
libbluray (1:0.9.2-2) unstable; urgency=medium

  * Migrate to automatic dbg packages.
    - debian/control:
      + B-D on debhelper >= 9.20151219
      + Remove libbluray1-dbg.
    - debian/rules: Run dh_strip with --ddeb-migration.
  * debian/patches:
    - 01_java-compat.patch: Removed, no longer needed.
    - 05_use-system-asm.patch: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Dec 2015 20:57:50 +0100

libbluray (1:0.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Dec 2015 23:08:29 +0100

libbluray (1:0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Add contrib/asm.
  * debian/patches/05_use-system-asm.patch: Use system copy of libasm4-java.
  * debian/control: Add libasm4-java to B-D-I.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Nov 2015 20:05:43 +0100

libbluray (1:0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libbluray1.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Oct 2015 17:39:07 +0200

=== debian/control ===
Source: libbluray
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Rico Tzschichholz <ricotz@ubuntu.com>,
 Reinhard Tartler <siretart@tauware.de>,
 Alessio Treglia <alessio@debian.org>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends: debhelper (>= 9.20151219),
               dh-autoreconf,
               pkg-config,
               default-jdk,
               javahelper,
               libfreetype6-dev,
               libfontconfig-dev,
               libxml2-dev
Build-Depends-Indep: ant,
                     doxygen,
                     graphviz,
                     texlive-latex-base,
                     texlive-latex-recommended,
                     texlive-latex-extra,
                     latex-xcolor,
                     texlive-fonts-recommended,
                     libasm4-java
Standards-Version: 3.9.6
Homepage: http://www.videolan.org/developers/libbluray.html
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libbluray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libbluray.git

Package: libbluray-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends: libbluray1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libbluray-bdj
Description: Blu-ray disc playback support library (development files)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the necessary files needed for development.

Package: libbluray1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libaacs0
Suggests: libbluray-bdj
Description: Blu-ray disc playback support library (shared library)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the shared library.

Package: libbluray-bdj
Multi-Arch: foreign
Architecture: all
Depends: libbluray1 (>= ${source:Version}),
         libbluray1 (<< ${source:Version}.1~),
         default-jre-headless | java2-runtime-headless,
         ${java:Depends},
         ${misc:Depends}
Description: Blu-ray Disc Java support library (BD-J library)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 BD-J support is important because many of the advanced features and extra
 content in Blu-ray movies uses BD-J. Programs designed to provide support for
 those features must depend on this.
 .
 This package provides the BD-J library.

Package: libbluray-bin
Architecture: any
Section: utils
Depends: libbluray1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Blu-ray disc playback support library (tools)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides a simple tool to retrieve information about a Blu-ray.

Package: libbluray-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: Blu-ray disc playback support library (documentation)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the libbluray documentation.

=== debian/rules ===
#!/usr/bin/make -f

confflags = --with-libxml2 --with-freetype \
	--enable-bdjava --with-bdj-type=j2se \
	--enable-udf \
	--disable-silent-rules
# --enable-bdjava-jar is introduced by 03_split-jar-build-for-arch-all.patch.
# This enables us to build the JAR file only if the Architecture: all package
# libbluray-bdj is built.
confflags_java = --enable-bdjava-jar

# Use default java implementation
export JDK_HOME=/usr/lib/jvm/default-java
ifeq (,$(wildcard $(JDK_HOME)))
    $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
endif

%:
	dh $@ --parallel --with javahelper,autoreconf

override_dh_auto_configure:
ifneq (,$(findstring libbluray-bdj,$(shell dh_listpackages)))
	dh_auto_configure -- $(confflags) $(confflags_java)
else
	dh_auto_configure -- $(confflags)
endif

override_dh_auto_build-indep:
	make doxygen-doc

override_dh_strip:
	dh_strip -plibbluray1 --ddeb-migration='libbluray1-dbg (<< 1:0.9.2-2~)'
	dh_strip --remaining-packages

override_dh_installdocs:
	dh_installdocs --exclude=jquery.js

override_dh_install:
	dh_install -X.la --fail-missing

override_dh_clean:
	dh_clean
	rm -rf src/libbluray/bdj/build

## libbluray 0.9.3

=== debian/changelog ===
libbluray (1:0.9.3-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/{control,rules,compat}: Bump to debhelper compat 10.
  * debian/{control,rules}: Demote javahelper to B-D-I (Closes: #841711)

  [ Dylan Aïssi ]
  * Add a patch to fix spelling error.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Nov 2016 20:24:17 +0100

libbluray (1:0.9.3-2) unstable; urgency=medium

  * debian/rules:
     - Explicitly disable JAR builds if not required.
     - Fix -arch/-indep rules split.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 May 2016 02:28:31 +0200

libbluray (1:0.9.3-1) unstable; urgency=medium

  [ Alessio Treglia ]
  * Remove myself from the Uploaders list

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/rules: Remove no longer needed dh_strip override.
  * debian/patches/03_split-jar-build-for-arch-all.patch: Removed, included
    upstream.
  * debian/libbluray1.symbols: Add new symbol.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
  * debian/copyright:
    - Update copyright years.
    - Update a path.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 17 May 2016 23:16:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,27 @@
 Uploaders:
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
- Alessio Treglia <alessio@debian.org>,
  Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 9.20151219),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                pkg-config,
                default-jdk,
-               javahelper,
                libfreetype6-dev,
                libfontconfig-dev,
                libxml2-dev
 Build-Depends-Indep: ant,
                      doxygen,
                      graphviz,
+                     javahelper,
                      texlive-latex-base,
                      texlive-latex-recommended,
                      texlive-latex-extra,
                      latex-xcolor,
                      texlive-fonts-recommended,
                      libasm4-java
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.videolan.org/developers/libbluray.html
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libbluray.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libbluray.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libbluray.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libbluray.git
 
 Package: libbluray-dev
 Multi-Arch: same
@@ -35,7 +33,6 @@
 Section: libdevel
 Depends: libbluray1 (= ${binary:Version}),
          ${misc:Depends}
-Suggests: libbluray-bdj
 Description: Blu-ray disc playback support library (development files)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an

=== debian/rules ===
#!/usr/bin/make -f

confflags = --with-libxml2 --with-freetype \
	--enable-bdjava --with-bdj-type=j2se \
	--enable-udf
confflags_java = --enable-bdjava-jar
confflags_nojava = --disable-bdjava-jar

# Use default java implementation
export JDK_HOME=/usr/lib/jvm/default-java
ifeq (,$(wildcard $(JDK_HOME)))
    $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
endif

ifneq (,$(wildcard /usr/share/javahelper/java-vars.mk))
DH_ADDONS = --with javahelper
endif

%:
	dh $@ $(DH_ADDONS)

override_dh_auto_configure:
ifneq (,$(findstring libbluray-bdj,$(shell dh_listpackages)))
	dh_auto_configure -- $(confflags) $(confflags_java)
else
	dh_auto_configure -- $(confflags) $(confflags_nojava)
endif

override_dh_auto_build-indep:
	# all-local builds the JAR
	$(MAKE) doxygen-doc all-local

# no test/install for indep
override_dh_auto_test-indep override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs --exclude=jquery.js

override_dh_clean:
	dh_clean
	rm -rf src/libbluray/bdj/build

=== debian/watch ===
version=3
opts=downloadurlmangle=s/^ftp/http/ \
http://www.videolan.org/developers/libbluray.html \
ftp://ftp.videolan.org/pub/videolan/libbluray/.*/libbluray-(.*)\.tar\.bz2

## libbluray 1.0.0

=== debian/changelog ===
libbluray (1:1.0.0-2mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Mar 2017 13:45:20 -0700

libbluray (1:1.0.0-2) experimental; urgency=medium

  * debian/copyright: Add missing attributions and update copyright years.
    (Closes: #856647)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 Mar 2017 11:08:30 +0100

libbluray (1:1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump SONAME: libbluray1 -> libbluray2.
  * debian/{rules,libbluray-docs*}: Do not use incompatible jquery.js.
  * debian/patches: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Mar 2017 19:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: libbluray
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -31,7 +33,7 @@
 Multi-Arch: same
 Architecture: any
 Section: libdevel
-Depends: libbluray1 (= ${binary:Version}),
+Depends: libbluray2 (= ${binary:Version}),
          ${misc:Depends}
 Description: Blu-ray disc playback support library (development files)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
@@ -44,7 +46,7 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libbluray1
+Package: libbluray2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -65,8 +67,8 @@
 Package: libbluray-bdj
 Multi-Arch: foreign
 Architecture: all
-Depends: libbluray1 (>= ${source:Version}),
-         libbluray1 (<< ${source:Version}.1~),
+Depends: libbluray2 (>= ${source:Version}),
+         libbluray2 (<< ${source:Version}.1~),
          default-jre-headless | java2-runtime-headless,
          ${java:Depends},
          ${misc:Depends}
@@ -88,7 +90,7 @@
 Package: libbluray-bin
 Architecture: any
 Section: utils
-Depends: libbluray1 (= ${binary:Version}),
+Depends: libbluray2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Blu-ray disc playback support library (tools)
@@ -105,7 +107,7 @@
 Package: libbluray-doc
 Section: doc
 Architecture: all
-Depends: libjs-jquery, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Blu-ray disc playback support library (documentation)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an

=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,6 @@
 # no test/install for indep
 override_dh_auto_test-indep override_dh_auto_install-indep:
 
-override_dh_installdocs:
-	dh_installdocs --exclude=jquery.js
-
 override_dh_clean:
 	dh_clean
 	rm -rf src/libbluray/bdj/build

## libbluray 1.0.1.deb1

=== debian/changelog ===
libbluray (1:1.0.1.deb1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - Remove B-D-I on transitional latex-xcolor (Closes: #865250)
    - Bump Standards-Version to 4.0.0. Support for DEB_BUILD_OPTIONS=nodoc is
      omitted until debhelper properly supports it (#865707).

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Jun 2017 20:31:14 +0200

libbluray (1:1.0.1.deb1-1) experimental; urgency=medium

  * Re-import 1.0.1 upstream release.
    - Fixed SONAME issues.
    - Fixed copy of libudfread.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jun 2017 12:26:15 +0200

libbluray (1:1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Remove obsolete flags.
  * debian/patches:
    - Refresh patches.
    - Revert accidental SONAME decrease.
  * debian/copyright: Update copyright years.
  * debian/control: Use libasm-java. (Closes: #839720)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Jun 2017 21:39:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: libbluray
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -21,10 +19,9 @@
                      texlive-latex-base,
                      texlive-latex-recommended,
                      texlive-latex-extra,
-                     latex-xcolor,
                      texlive-fonts-recommended,
-                     libasm4-java
-Standards-Version: 3.9.8
+                     libasm-java
+Standards-Version: 4.0.0
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libbluray.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libbluray.git
@@ -106,6 +103,7 @@
 
 Package: libbluray-doc
 Section: doc
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}
 Description: Blu-ray disc playback support library (documentation)

## libbluray 1.0.2

=== player_wrappers/xine/Makefile ===
#
# settings
#

DESTDIR        ?= /
INSTALL         = install

#
# compiler options
#

CFLAGS      += -O2 -fPIC
CFLAGS      += -Wall
CFLAGS      += -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS      += $(shell pkg-config libxine --cflags)
CFLAGS      += $(shell pkg-config libbluray --cflags)

#
# linker options
#

LIBS_XINE    = $(shell pkg-config libxine --libs)
LIBS_BD      = $(shell pkg-config libbluray --libs)

LDFLAGS     += -shared -fvisibility=hidden

#
# targets
#

XINEPLUGINDIR  = $(shell pkg-config libxine --variable=plugindir)

XINEINPUTPLUGIN= xineplug_inp_bluray.so

#
# object files
#

OBJS_XINEINPUTPLUGIN = input_bluray.o

#
# rules
#

all: $(XINEINPUTPLUGIN)

$(XINEINPUTPLUGIN): $(OBJS_XINEINPUTPLUGIN)
	$(CC) $(LDFLAGS) $(OBJS_XINEINPUTPLUGIN) $(LIBS_XINE) $(LIBS_BD) -o $@

#
# targets
#

clean:
	@rm -rf *.o *.so *~

install: all uninstall
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
	@$(INSTALL) -D -m 0644 $(XINEINPUTPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)

uninstall:
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)

=== debian/changelog ===
libbluray (1:1.0.2-3) unstable; urgency=medium

  * debian/: Force building with Java 8 and also required Java 8 JRE during
    runtime. Upstream currently neither supports building nor running with
    Java 9 and requires major changes.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Apr 2018 09:20:42 +0200

libbluray (1:1.0.2-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version.
    - Move to salsa.debian.org.
    - Depend on packages referenced by pkg-config file. (Closes: #883908)
  * debian/: Bump debhelper compat to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Feb 2018 21:16:18 +0100

libbluray (1:1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Remove now obsolete Pre-Depends.
  * debian/patches: Refreshed.
  * debian/libbluray-doc.lintian-overrides: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Dec 2017 23:48:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
  Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                pkg-config,
-               default-jdk,
+               openjdk-8-jdk,
                libfreetype6-dev,
                libfontconfig-dev,
                libxml2-dev
@@ -21,16 +21,19 @@
                      texlive-latex-extra,
                      texlive-fonts-recommended,
                      libasm-java
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.videolan.org/developers/libbluray.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libbluray.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libbluray.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libbluray
 
 Package: libbluray-dev
 Multi-Arch: same
 Architecture: any
 Section: libdevel
 Depends: libbluray2 (= ${binary:Version}),
+         libfreetype6-dev,
+         libfontconfig-dev,
+         libxml2-dev,
          ${misc:Depends}
 Description: Blu-ray disc playback support library (development files)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
@@ -46,7 +49,6 @@
 Package: libbluray2
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libaacs0
 Suggests: libbluray-bdj
@@ -66,7 +68,7 @@
 Architecture: all
 Depends: libbluray2 (>= ${source:Version}),
          libbluray2 (<< ${source:Version}.1~),
-         default-jre-headless | java2-runtime-headless,
+         openjdk-8-jre-headless,
          ${java:Depends},
          ${misc:Depends}
 Description: Blu-ray Disc Java support library (BD-J library)

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,16 @@
 #!/usr/bin/make -f
 
-confflags = --with-libxml2 --with-freetype \
-	--enable-bdjava --with-bdj-type=j2se \
-	--enable-udf
-confflags_java = --enable-bdjava-jar
+include /usr/share/dpkg/architecture.mk
+
+confflags  = --with-libxml2
+confflags += --with-freetype
+confflags += --with-bdj-type=j2se
+
+confflags_java   = --enable-bdjava-jar
 confflags_nojava = --disable-bdjava-jar
 
 # Use default java implementation
-export JDK_HOME=/usr/lib/jvm/default-java
+export JDK_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
 ifeq (,$(wildcard $(JDK_HOME)))
     $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
 endif

=== debian/watch ===
version=4
opts=downloadurlmangle=s/^ftp/http/ \
https://www.videolan.org/developers/libbluray.html \
  .*/libbluray-(.*)\.tar\.bz2

## libbluray 1.1.0

=== debian/changelog ===
libbluray (1:1.1.0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
    - Add support for Java 9 and higher. (Closes: #893227)
  * debian/control: Bump Standards-Version.
  * debian/patches: Refresh patches.
  * debian/:
    - Build with the default JDK again.
    - Disable doxygen latex output until either doxygen or texlive are fixed.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Feb 2019 15:36:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libbluray
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-config,
-               openjdk-8-jdk,
+               default-jdk,
                libfreetype6-dev,
                libfontconfig-dev,
                libxml2-dev
@@ -16,12 +16,8 @@
                      doxygen,
                      graphviz,
                      javahelper,
-                     texlive-latex-base,
-                     texlive-latex-recommended,
-                     texlive-latex-extra,
-                     texlive-fonts-recommended,
                      libasm-java
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libbluray
@@ -68,7 +64,7 @@
 Architecture: all
 Depends: libbluray2 (>= ${source:Version}),
          libbluray2 (<< ${source:Version}.1~),
-         openjdk-8-jre-headless,
+         default-jre-headless | java2-runtime-headless,
          ${java:Depends},
          ${misc:Depends}
 Description: Blu-ray Disc Java support library (BD-J library)

## libbluray 1.1.2

=== debian/changelog ===
libbluray (1:1.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jul 2019 18:24:07 +0200

libbluray (1:1.1.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Drop patch to workaround already fixed #751532.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Jun 2019 10:52:37 +0200

libbluray (1:1.1.1-2) experimental; urgency=medium

  * debian/libbluray-bdj.install: Revert "install files from usr/share/java".
    (Closes: #926746)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Apr 2019 09:41:40 +0200

libbluray (1:1.1.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/: Bump debhelper compat to 12.
  * debian/libbluray-bdj.install: Install files from usr/share/java.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Apr 2019 17:51:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
  Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                default-jdk,
                libfreetype6-dev,

## libbluray 1.2.0

=== debian/changelog ===
libbluray (1:1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Replace libfreetype6-dev with libfreetype-dev
    - Bump Standards-Version
  * debian/libbluray2.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 28 Mar 2020 18:51:16 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 12),
                pkg-config,
                default-jdk,
-               libfreetype6-dev,
+               libfreetype-dev,
                libfontconfig-dev,
                libxml2-dev
 Build-Depends-Indep: ant,
@@ -17,7 +17,7 @@
                      graphviz,
                      javahelper,
                      libasm-java
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libbluray
@@ -27,7 +27,7 @@
 Architecture: any
 Section: libdevel
 Depends: libbluray2 (= ${binary:Version}),
-         libfreetype6-dev,
+         libfreetype-dev,
          libfontconfig-dev,
          libxml2-dev,
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/architecture.mk
 
 confflags  = --with-libxml2
 confflags += --with-freetype
@@ -10,7 +8,7 @@
 confflags_nojava = --disable-bdjava-jar
 
 # Use default java implementation
-export JDK_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
+export JDK_HOME=/usr/lib/jvm/default-java
 ifeq (,$(wildcard $(JDK_HOME)))
     $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
 endif

## libbluray 1.2.1

=== debian/changelog ===
libbluray (1:1.2.1-4) unstable; urgency=medium

  * debian/patches:
    - Revert "Fix name of llibudfread's pkg-config file"
    - Update check for new libudfread pkg-config file name
  * debian/control:
    - Bump libudfread-dev Depends for new pkg-config file name
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Dec 2020 14:03:40 +0100

libbluray (1:1.2.1-3) unstable; urgency=medium

  * debian/patches: Fix name of libudfread's pkg-config file

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Oct 2020 09:59:07 +0100

libbluray (1:1.2.1-2) unstable; urgency=medium

  * debian/control: Add libudfread-dev to libbluray-dev's Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Oct 2020 09:34:21 +0100

libbluray (1:1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Build with libudfread-dev
    - Set RRR: no
  * debian/libbluray-bin.install: Install all binaries (Closes: #964253)

  [ Vasyl Gello ]
  * Create manpages for bdsplice and bd_list_titles

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Oct 2020 22:55:45 +0200

libbluray (1:1.2.0-3) unstable; urgency=medium

  * debian/: Fix Arch: all build (Closes: #964445)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 Jul 2020 00:24:27 +0200

libbluray (1:1.2.0-2) unstable; urgency=medium

  * Build with --disable-doxygen-{pdf,ps} to fix build in non-minimal build
    environments (Closes: #964252)
  * debian/: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jul 2020 21:57:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,37 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
  Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               pkg-config,
-               default-jdk,
-               libfreetype-dev,
-               libfontconfig-dev,
-               libxml2-dev
-Build-Depends-Indep: ant,
-                     doxygen,
-                     graphviz,
-                     javahelper,
-                     libasm-java
-Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ pkg-config,
+ default-jdk,
+ libfreetype-dev,
+ libfontconfig-dev,
+ libudfread-dev (>= 1.1.1),
+ libxml2-dev
+Build-Depends-Indep:
+ ant,
+ doxygen,
+ graphviz,
+ javahelper,
+ libasm-java
+Standards-Version: 4.5.1
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libbluray
+Rules-Requires-Root: no
 
 Package: libbluray-dev
 Multi-Arch: same
 Architecture: any
 Section: libdevel
-Depends: libbluray2 (= ${binary:Version}),
-         libfreetype-dev,
-         libfontconfig-dev,
-         libxml2-dev,
-         ${misc:Depends}
+Depends:
+ libbluray2 (= ${binary:Version}),
+ libfreetype-dev,
+ libfontconfig-dev,
+ libudfread-dev (>= 1.1.1),
+ libxml2-dev,
+ ${misc:Depends}
 Description: Blu-ray disc playback support library (development files)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
@@ -62,11 +68,12 @@
 Package: libbluray-bdj
 Multi-Arch: foreign
 Architecture: all
-Depends: libbluray2 (>= ${source:Version}),
-         libbluray2 (<< ${source:Version}.1~),
-         default-jre-headless | java2-runtime-headless,
-         ${java:Depends},
-         ${misc:Depends}
+Depends:
+ libbluray2 (>= ${source:Version}),
+ libbluray2 (<< ${source:Version}.1~),
+ default-jre-headless | java2-runtime-headless,
+ ${java:Depends},
+ ${misc:Depends}
 Description: Blu-ray Disc Java support library (BD-J library)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
@@ -85,9 +92,10 @@
 Package: libbluray-bin
 Architecture: any
 Section: utils
-Depends: libbluray2 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends:
+ libbluray2 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Blu-ray disc playback support library (tools)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an

## libbluray 1.3.0

=== debian/changelog ===
libbluray (1:1.3.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 11:07:03 +0200

libbluray (1:1.3.0-2) experimental; urgency=medium

  * debian/: Use embedded libasm again (LP: #1893449)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Jul 2021 16:27:48 +0200

libbluray (1:1.3.0-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Drop unused graphviz dependency since HAVE_DOT=no (Closes: #982187)

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/patches: Remove patch integrated upstream
  * debian/libbluray2.symbols: Add new symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Apr 2021 11:28:43 +0200

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,7 @@
 Build-Depends-Indep:
  ant,
  doxygen,
- graphviz,
- javahelper,
- libasm-java
+ javahelper
 Standards-Version: 4.5.1
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git

## libbluray 1.3.1

=== debian/changelog ===
libbluray (1:1.3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit (from ./configure).

  [ Sebastian Ramacher ]
  * New upstream version 1.3.1
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 09 Mar 2022 14:32:07 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  ant,
  doxygen,
  javahelper
-Standards-Version: 4.5.1
-Homepage: http://www.videolan.org/developers/libbluray.html
+Standards-Version: 4.6.0
+Homepage: https://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libbluray
 Rules-Requires-Root: no

## libbluray 1.3.2

=== debian/changelog ===
libbluray (1:1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * debian/patches: Remove obsolete patch

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jul 2022 22:06:27 +0200

libbluray (1:1.3.1-2) unstable; urgency=medium

  * debian/patches: Fix build failure after Oracle Java CPU for April 2022
    (Closes: #1011716)
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 May 2022 09:54:13 +0200

## libbluray 1.3.4

=== debian/changelog ===
libbluray (1:1.3.4-1build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:45 +0200

libbluray (1:1.3.4-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:47:48 +0200

libbluray (1:1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Dec 2022 14:36:55 +0100

libbluray (1:1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Sep 2022 21:16:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libbluray
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -18,7 +19,7 @@
  ant,
  doxygen,
  javahelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libbluray

## libbluray 1.4.0

=== meson_options.txt ===
# Copyright (C) 2025 Rob Hall
# SPDX-License-Identifier: MIT

# General options

option('enable_docs',
    type: 'boolean',
    value: false,
    description: 'Build libbluray documentation with Doxygen')

option('enable_tools',
    type: 'boolean',
    value: true,
    description: 'Build libbluray cli tools')

option('enable_devtools',
    type: 'boolean',
    value: false,
    description: 'Build libbluray development tools')

option('enable_examples',
    type: 'boolean',
    value: false,
    description: 'Build libbluray examples')

# BD-J JAR options

option('bdj_jar',
    type: 'feature',
    value: 'auto',
    description: 'Build the BD-J JAR file (requires Java)')

option('java9',
    type: 'boolean',
    value: true,
    description: 'Build with Java 9+ (drop support for Java >= 1.7.0)')

option('jdk_home',
    type: 'string',
    value: '',
    description: 'Path to the JDK')

option('bdj_type',
    type: 'combo',
    choices: ['j2me', 'j2se'],
    value: 'j2se',
    description: 'Type of the BD-J implementation')

option('bdj_bootclasspath',
    type: 'string',
    value: '',
    description: 'BD-J build-time bootclass path')

# Optional dependencies to be found on the system

option('embed_udfread',
    type: 'boolean',
    value: true,
    description: 'When building libudfread as subproject, don\'t install library or headers')

option('fontconfig',
    type: 'feature',
    value: 'auto',
    description: 'System font support with fontconfig (except Windows)')

option('freetype',
    type: 'feature',
    value: 'auto',
    description: 'Font support with freetype2')

option('libxml2',
    type: 'feature',
    value: 'auto',
    description: 'Metadata support with libxml2')

=== contrib/libudfread/meson_options.txt ===
# Copyright (C) 2025 Rob Hall
# SPDX-License-Identifier: MIT

option('enable_examples',
    type: 'boolean',
    value: false,
    description: 'Build libudfread examples')

option('embed_udfread',
    type: 'boolean',
    value: false,
    yield: true,
    description: 'Build libudfread as static library with no install')

=== debian/changelog ===
libbluray (1:1.4.0-3) unstable; urgency=medium

  * debian/rules: Remove pre-meson overrides to fix FTBFS on indep builds

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Aug 2025 14:18:03 +0200

libbluray (1:1.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Aug 2025 10:45:35 +0200

libbluray (1:1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0
  * SONAME bump: libbluray2 -> libbluray3
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
    - Bump libudfread-dev (Build-)Depends
  * debian/: Build with meson
  * debian/copyright: Update for new upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Aug 2025 00:25:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: libbluray
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ meson,
+ ninja-build,
+ pkgconf,
  default-jdk,
  libfreetype-dev,
  libfontconfig-dev,
- libudfread-dev (>= 1.1.1),
+ libudfread-dev (>= 1.2),
  libxml2-dev
 Build-Depends-Indep:
  ant,
  doxygen,
  javahelper
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libbluray
@@ -30,10 +31,10 @@
 Architecture: any
 Section: libdevel
 Depends:
- libbluray2 (= ${binary:Version}),
+ libbluray3 (= ${binary:Version}),
  libfreetype-dev,
  libfontconfig-dev,
- libudfread-dev (>= 1.1.1),
+ libudfread-dev (>= 1.2),
  libxml2-dev,
  ${misc:Depends}
 Description: Blu-ray disc playback support library (development files)
@@ -47,7 +48,7 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libbluray2
+Package: libbluray3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -68,8 +69,8 @@
 Multi-Arch: foreign
 Architecture: all
 Depends:
- libbluray2 (>= ${source:Version}),
- libbluray2 (<< ${source:Version}.1~),
+ libbluray3 (>= ${source:Version}),
+ libbluray3 (<< ${source:Version}.1~),
  default-jre-headless | java2-runtime-headless,
  ${java:Depends},
  ${misc:Depends}
@@ -92,7 +93,7 @@
 Architecture: any
 Section: utils
 Depends:
- libbluray2 (= ${binary:Version}),
+ libbluray3 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Blu-ray disc playback support library (tools)

=== debian/rules ===
#!/usr/bin/make -f

confflags_java   = -Dbdj_jar=enabled
confflags_nojava = -Dbdj_jar=disabled

# Use default java implementation
export JDK_HOME=/usr/lib/jvm/default-java
ifeq (,$(wildcard $(JDK_HOME)))
    $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
endif

ifneq (,$(wildcard /usr/share/javahelper/java-vars.mk))
DH_ADDONS = --with javahelper
endif

%:
	dh $@ $(DH_ADDONS)

override_dh_auto_configure:
ifneq (,$(findstring libbluray-bdj,$(shell dh_listpackages)))
	dh_auto_configure -- $(confflags) $(confflags_java) -Denable_docs=true
else
	dh_auto_configure -- $(confflags) $(confflags_nojava)
endif

=== debian/watch ===
Version: 5

Source: https://download.videolan.org/pub/videolan/libbluray/@ANY_VERSION@/
Matching-Pattern: libbluray-@ANY_VERSION@@ARCHIVE_EXT@

## libbluray 1.4.1

=== debian/changelog ===
libbluray (1:1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * debian/patches: Drop patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 27 Feb 2026 21:41:39 +0100

libbluray (1:1.4.0-4) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/0002-Fix-build-with-java-23.patch: cherry-pick upstream patch to
    resolve ftbfs with Java 25 (Closes: #1108574).

  [ Sebastian Ramacher ]
  * debian/control:
    - Drop RRR: no
    - Apply wrap-and-sort

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Dec 2025 21:13:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,25 @@
 Uploaders:
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
- Sebastian Ramacher <sramacher@debian.org>
+ Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ default-jdk [!hppa !hurd-any],
+ libfontconfig-dev,
+ libfreetype-dev,
+ libudfread-dev (>= 1.2),
+ libxml2-dev,
  meson,
  ninja-build,
  pkgconf,
- default-jdk,
- libfreetype-dev,
- libfontconfig-dev,
- libudfread-dev (>= 1.2),
- libxml2-dev
 Build-Depends-Indep:
  ant,
  doxygen,
- javahelper
+ javahelper,
 Standards-Version: 4.7.2
 Homepage: https://www.videolan.org/developers/libbluray.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/libbluray.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libbluray
-Rules-Requires-Root: no
 
 Package: libbluray-dev
 Multi-Arch: same
@@ -32,11 +31,11 @@
 Section: libdevel
 Depends:
  libbluray3 (= ${binary:Version}),
+ libfontconfig-dev,
  libfreetype-dev,
- libfontconfig-dev,
  libudfread-dev (>= 1.2),
  libxml2-dev,
- ${misc:Depends}
+ ${misc:Depends},
 Description: Blu-ray disc playback support library (development files)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
@@ -51,9 +50,13 @@
 Package: libbluray3
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libaacs0
-Suggests: libbluray-bdj
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ libaacs0,
+Suggests:
+ libbluray-bdj,
 Description: Blu-ray disc playback support library (shared library)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
@@ -69,11 +72,11 @@
 Multi-Arch: foreign
 Architecture: all
 Depends:
+ default-jre-headless | java2-runtime-headless,
+ libbluray3 (<< ${source:Version}.1~),
  libbluray3 (>= ${source:Version}),
- libbluray3 (<< ${source:Version}.1~),
- default-jre-headless | java2-runtime-headless,
  ${java:Depends},
- ${misc:Depends}
+ ${misc:Depends},
 Description: Blu-ray Disc Java support library (BD-J library)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
@@ -94,8 +97,8 @@
 Section: utils
 Depends:
  libbluray3 (= ${binary:Version}),
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
 Description: Blu-ray disc playback support library (tools)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
@@ -111,7 +114,8 @@
 Section: doc
 Multi-Arch: foreign
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Blu-ray disc playback support library (documentation)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
